package com.persagy.apm.energy.report.workorder.service;

import com.persagy.apm.energy.report.common.dto.QueryAreaPlatformParamDTO;
import com.persagy.apm.energy.report.common.dto.QueryPjPlatformParamDTO;
import com.persagy.apm.energy.report.monthly.detail.business.model.Platform;
import io.swagger.annotations.Api;

import java.util.Date;
import java.util.List;

@Api(value = "工单管理service接口")
public interface IWorkOrderWebService {

    /**
     * 根据查询类型获取工单数据量信息
     *
     * @param projectId 项目id
     * @param reportDate 报告日期
     * @param timeType 查询类型
     * @author wch
     * @version V1.0 2021/5/19 4:04 下午
     */
    Integer getWorkOrderNumByParam(String projectId, Date reportDate, String timeType);
}
