package com.persagy.apm.energy.report.monthly.outline.service.builder.hotel;

import com.persagy.apm.energy.report.monthly.outline.model.ReportOutline;

/**
 * 生成酒店区域报告建造者接口
 *
 * @author lixing
 * @version V1.0 2021/5/30 10:26 下午
 **/
public interface IHotelAreaReportBuilder {
    /**
     * 生成报告详情
     *
     * @param reportOutline 报告outline对象
     * @return 是否生成成功
     * @author lixing
     * @version V1.0 2021/5/24 4:09 下午
     */
    boolean generateNewReportDetail(ReportOutline reportOutline);
}
